%global momorel 3
Prefix: %{_prefix}/games/armagetronad

Summary: A multiplayer OpenGL 'Tron' racing game clone.
Name: armagetronad
Version: 0.2.7.1
Release: %{momorel}m
License: GPL
Group: Amusements/Games  
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/armagetronad/armagetronad-%{version}.tar.bz2 cc29c2fd7de5699173de84d7cde57b97
%NoSource 1 http://armagetron.sourceforge.net/addons/moviepack.zip e2d40309dde7e1339ca6aff7599cdfa3
%NoSource 2 http://armagetron.sourceforge.net/addons/moviesounds_fq.zip 3c5d04af52eb296cdeb2fba5ecbd8899
Source3: settings.cfg
Patch1: armagetron-0.2.5.2-64bit-fixes.patch
Patch2: armagetronad-0.2.7.1-gcc4.patch
URL: http://armagetron.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: SDL_image >= 1.2.0 esound
BuildRequires: gcc-c++ >= 3.4.1-1m, zlib-devel, libpng-devel, libjpeg-devel
BuildRequires: mesa-libGLU-devel, mesa-libGL-devel
BuildRequires: SDL_image-devel, SDL-devel >= 1.2.7-9m, esound-devel
BuildRequires: unzip, ImageMagick, desktop-file-utils

%description
There is not much to be said about the game: you ride a lightcycle,
a kind of motorbike that can't be stoppen and leaves a wall where
it goes. You can make turns of 90 degrees and can accelerate by 
driving close to walls. Make your enemies hit a wall while avoiding
the same fate.

%package moviepack
Summary: Extra graphics and sounds to give armagetron the real 'Tron' look.
Group: Amusements/Games
Requires: %{name}

%description moviepack
This package includes all files needed by armagetron to have the "real" look
from the original Tron movie. This includes neat colorful graphics and a few
sounds.
In this package's documentation directory, you will also find a new config
file that you can use in %{_sysconfdir}/armagetronad to have the game be a bit
more realistic (read "fast!" ;-)).


%prep
%setup -q
#%%ifarch x86_64
#%%patch1 -p1 -b .64bit~
#%%endif

%patch2 -p1 -b .gcc4

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

# Put the docs where we include them with %%doc
mv %{buildroot}%{prefix}/doc installed-docs

# Add the moviepack stuff
unzip -d %{buildroot}%{prefix}/ %{SOURCE1}
unzip -d %{buildroot}%{prefix}/ %{SOURCE2}

# Yeah, add an icon for the menu entry!
convert tron.ico armagetronad.png
install -D -m 644 armagetronad.png %{buildroot}%{_datadir}/pixmaps/armagetronad.png

# Put the realistic config where we can get it
cp -a %{SOURCE3} settings.cfg.realistic

# The wrapper script (overwrite the default)
cat > %{buildroot}%{_bindir}/armagetronad << 'EOF'
#!/bin/sh -e

INSTALL=%{prefix}
VARDIR=$HOME/.armagetronad/var

if test ! -d $VARDIR ; then
    mkdir -p $VARDIR
        
    # Migrate old configuration
    files=$( find $HOME/.armagetronad -type f -maxdepth 1 )
 
    test "$files" != "" && echo "Porting old configuration..." && mv $files $VARDIR
fi

$INSTALL/bin/armagetronad --datadir $INSTALL --configdir %{_sysconfdir}/armagetronad --userconfigdir $HOME/.armagetronad --vardir $VARDIR "$@"

EOF

cat > %{name}.desktop << EOF
[Desktop Entry]
Name=Armagetron
Comment=A multiplayer OpenGL 'Tron' racing game clone
Exec=%{_bindir}/armagetronad
Icon=armagetronad.png
Terminal=false
Type=Application
EOF

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications     \
  --add-category Application                     \
  --add-category Game                            \
  %{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc installed-docs/*
%dir %{_sysconfdir}/armagetronad
%config(noreplace) %{_sysconfdir}/armagetronad/*
%exclude %{_sysconfdir}/armagetronad/.orig
%{_bindir}/armagetronad
%{_bindir}/armagetronad-stat
%dir %{prefix}
%exclude %{prefix}/COPYING.txt
%{prefix}/arenas
%{prefix}/bin
%exclude %{prefix}/bin/uninstall
%{prefix}/language
%exclude %{prefix}/log
%{prefix}/models
%{prefix}/music
%{prefix}/sound
%{prefix}/textures
%{_datadir}/pixmaps/armagetronad.png
%{_datadir}/applications/%{name}.desktop

%files moviepack
%defattr(644, root, root, 755)
%doc settings.cfg.realistic
%{prefix}/moviepack
%{prefix}/moviesounds

%changelog
* Sat May 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.7.1-3m)
- remove vendor from desktop file
- BuildRequires: desktop-file-utils

* Sat Sep 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.7.1-2m)
- add gcc4 patch
- Patch2: armagetronad-0.2.7.1-gcc4.patch

* Sat Jul  2 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.2.7.1-1m)
- update to 0.2.7.1
- change package name to "armagetronad"
- remove x86_64 patch

* Sun May 29 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.2.6.1-1m)
- up to 0.2.6.1
- armagetron was changed to armagetronad, if you play armagetron, plz update to armagetronad

* Wed Feb 16 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.2.5.2-5m)
- enable x86_64.

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.2.5.2-4m)
- rebuild againist SDL-1.2.7-9m

* Tue Aug 31 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.2.5.2-3m)
- rebuild against gcc-c++-3.4.1
- add gcc34 patch

* Sun Aug 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.2.5.2-2m)
- rebuild against DirectFB-0.9.21

* Thu Mar 16 2004 Toru Hoshina <t@momonga-linux.org>
- (0.2.5.2-1m)
- import from freshrpms.net.

* Fri Dec 12 2003 Matthias Saou <http://freshrpms.net/> - 0.2.5.2-2.fr
- Added missing XFree86-Mesa-libGLU build dep :-(
- Rebuild for Fedora Core 1 at last.

* Wed Oct 15 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.5.2.
- Removed %%{prever} stuff.

* Sun Jul 20 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.5.

* Thu Jul 10 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.4.

* Sun Jul  6 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.3.

* Mon Jun 30 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.2.
- The build is now more standard, no more manual copying of files.
- PPC include workaround removed, not needed anymore.
- Major spec file updates.

* Sat Jun 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.pre3.

* Mon Jun  2 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- s/Games/Game for the desktop file, doh!

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Sat Mar 15 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Remove CVS directories from the docs.
- Added --without freedesktop option in order to rebuild for 7.x.
- Added YellowDog 2.3 include path workaround.

* Sat Feb 15 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Applied Ben Liblit's changes at last!
- Install language files.
- Change wrapper to save settings to ~/.armagetron/

* Sun Sep 29 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.
- New menu entry.

* Tue Jul  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.0.pre_020624.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Fri Apr 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt without the NVIDIA libGLcore.so.1 dependency (doh!).

* Tue Nov 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added a simple shell script to have the menu entry work with KDE.
- Added a separate package for the "moviepack"... that thing is cool :-)
- Changed the binary to sgid "games" so that high scores are saved.
- Added an icon for the menu entry.

* Mon Nov 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.1.4.9.
- Spec file cleanup.

* Thu Jan  4 2001 Tim Powers <timp@redhat.com>
- defattr was in wrong place in files list, leaving files owned by the
  build system, fixed

* Tue Nov 28 2000 Karsten Hopp <karsten@redhat.de>
- initial RPM

